# Genie List Eval Results

Launch stage: Beta

`GET /api/2.0/genie/spaces/{space_id}/eval-runs/{eval_run_id}/results`

List evaluation results for a specific evaluation run.

API scopes: genie

## Path parameters

- `space_id` (string, optional)
  The ID associated with the Genie space where the evaluation run is located.
  Example: `e1ef34712a29169db030324fd0e1df5f`
- `eval_run_id` (string, optional)
  The unique identifier for the evaluation run.
  Example: `e1ef34712a29169db030324fd0e1df5f`

## Query parameters

- `page_size` (int32, optional)
  Maximum number of eval results to return per page.
  Default: `20`
  Constraints: `<= 100`
- `page_token` (string, optional)
  Opaque token to retrieve the next page of results.

## Returns

- `eval_results` (array of object, optional)
  List of evaluation results for the specified run.
  - `result_id` (string, optional)
    Unique identifier for this evaluation result.
    Example: `e1ef34712a29169db030324fd0e1df5f`
  - `space_id` (string, optional)
    The ID of the space the evaluation result belongs to.
    Example: `e1ef34712a29169db030324fd0e1df5f`
  - `benchmark_question_id` (string, optional)
    The ID of the benchmark question that was evaluated.
    Example: `e1ef34712a29169db030324fd0e1df5f`
  - `status` (string, optional)
    Current status of this evaluation result.
    Possible values: `EVALUATION_STATUS_TYPE_UNSPECIFIED`, `RUNNING`, `DONE`, `NOT_STARTED`, `EVALUATION_FAILED`, `EVALUATION_CANCELLED`, `EVALUATION_TIMEOUT`
  - `question` (string, optional)
    Stored snapshot of original benchmark question text.
  - `benchmark_answer` (string, optional)
    Stored snapshot of original benchmark answer text.
  - `created_by_user` (int64, optional)
    User ID who created evaluation result.
- `next_page_token` (string, optional)
  The token to use for retrieving the next page of results.

## Response

```json
{
  "eval_results": [
    {
      "result_id": "e1ef34712a29169db030324fd0e1df5f",
      "space_id": "e1ef34712a29169db030324fd0e1df5f",
      "benchmark_question_id": "e1ef34712a29169db030324fd0e1df5f",
      "status": "string",
      "question": "string",
      "benchmark_answer": "string",
      "created_by_user": 0
    }
  ],
  "next_page_token": "string"
}
```

